# UVLoopLayers(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``UVLoopLayers`(bpy_struct)

  Collection of uv loop layers

  `active`

    Active UV loop layer

    Type: | `MeshUVLoopLayer`

  `active_index`

    Active UV loop layer index

    Type: | int in [0, inf], default 0

  `new`(name="UVMap", do_init=True)

    Add a UV map layer to Mesh

    Parameters: | name (string, (optional, never None)) – UV map name do_init (boolean, (optional)) – Whether new layer’s data should be initialized by copying current active one, or if none is active, with a default UVmap
    Returns: | The newly created layer
    Return type: | `MeshUVLoopLayer`

  `remove`(layer)

    Remove a vertex color layer

    Parameters: | layer (`MeshUVLoopLayer`, (never None)) – The layer to remove

  classmethod `bl_rna_get_subclass`(id, default=None)

    Parameters: | id (string) – The RNA type identifier.
    Returns: | The RNA type or default when not found.
    Return type: | `bpy.types.Struct` subclass

  classmethod `bl_rna_get_subclass_py`(id, default=None)

    Parameters: | id (string) – The RNA type identifier.
    Returns: | The class or default when not found.
    Return type: | type

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_overridable_library` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` `bpy_struct.keyframe_delete` | `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.pop` `bpy_struct.property_overridable_library_set` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`Mesh.uv_layers` |